# Uses of Enum Class
java.util.Locale.FilteringMode

Packages that use Locale.FilteringMode
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

- ## Uses of Locale.FilteringMode in java.util

  Subclasses with type arguments of type Locale.FilteringMode in java.util
  Modifier and Type
  Class
  Description
  `static enum`
  `Locale.FilteringMode`
  This enum provides constants to select a filtering mode for locale matching.
  Methods in java.util that return Locale.FilteringMode
  Modifier and Type
  Method
  Description
  `static Locale.FilteringMode`
  Locale.FilteringMode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Locale.FilteringMode[]`
  Locale.FilteringMode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.util with parameters of type Locale.FilteringMode
  Modifier and Type
  Method
  Description
  `static List<Locale>`
  Locale.`filter(List<Locale.LanguageRange> priorityList, Collection<Locale> locales, Locale.FilteringMode mode)`
  Returns a list of matching `Locale` instances using the filtering mechanism defined in RFC 4647.
  `static List<String>`
  Locale.`filterTags(List<Locale.LanguageRange> priorityList, Collection<String> tags, Locale.FilteringMode mode)`
  Returns a list of matching languages tags using the basic filtering mechanism defined in RFC 4647.